Bug 34657 - snprintf in lib?
snprintf in lib?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 07:32 EDT by Joe Orton
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-04 07:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snprintf removal patch (2.34 KB, patch)
2001-04-04 07:41 EDT, Joe Orton
no flags Details | Diff
more snprintf removal (443 bytes, patch)
2001-04-04 07:42 EDT, Joe Orton
no flags Details | Diff

  None (edit)
Description Joe Orton 2001-04-04 07:32:28 EDT
I noticed rpm 4.0.2 removed snprintf usage from popt... can the same be
done for lib and rpmio? (for the same reason: IRIX has no snprintf)

Files affected are lib/problems.c and rpmio/rpmlog.c, I'll attach patches.
Comment 1 Joe Orton 2001-04-04 07:41:48 EDT
Created attachment 14605 [details]
snprintf removal patch
Comment 2 Joe Orton 2001-04-04 07:42:29 EDT
Created attachment 14606 [details]
more snprintf removal
Comment 3 Jeff Johnson 2001-04-17 15:28:29 EDT
Fixed (with inline stub wrappers for vsnprintf/snprintf) in rpm CVS.
will be in rpm-4.0.3-0.5.

Note You need to log in before you can comment on or make changes to this bug.